Subject: Re: FVWM: Icon Manager Problem - Disappearing Square

From: Michael White <[email-masked]>
Date: Mon, 16 Aug 2004 22:14:44 -0500

On Saturday 01 May 2004 02:29 pm, Mikhael Goikhman wrote:
> On 29 Apr 2004 21:25:25 -0500, Michael White wrote:
> > I've figured out most of what's wrong with my .fvwm2rc and various other
> > manager config files.  Most of it was assuming that my older .fvwm2rc
> > wouldn't cause things to break, but it did.  2.5.9 fvwm chokes on some of
> > the 2.4.x options.
> >
> > Anyway, I'm running version 2.5.9 compiled for AMD64 under Mandrake 9.2
> > for AMD64 and am having a problem with the fvwm Icon Manager. 
> > Specifically, the little square to the left of the button label that
> > indicates whether or not a window is iconfied or not.  This square is
> > usually absent.  The only time this square is present is if I resetart
> > fvwm while a window is iconified. The square is present on restart on the
> > iconified window, and will stay there until I de-iconify the window. 
> > Upon iconifying the window again, the square is no longer present.
> >
> > I haven't upgraded to 2.5.10 yet.  Will this fix the problem or is there
> > something else funny going on?  I didn't see any option in the
> > FvwmIconMan man page to indicate the little square is even an option that
> > can be disabled.
>
> I don't think that 2.5.10 is any different here.
>
> There is actually option that disables this square, DrawIcons.
>
> I can't reproduce your situation. I either always get the
> iconified-window square or never.
>
> Post your whole FvwmIconMan config. (Please use *FvwmIconMan: option
> syntax that worked in 2.4.x too.)
>
> Regards,
> Mikhael.
> --
> Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].

Sorry about this very delayed post.  It got lost in my inbox shuffle :(.  
Anyway, here's my "ConfigFvwmIconMan" File:

-------------------------------------------------------
DestroyModuleConfig FvwmIconMan: *
*FvwmIconMan: *numManagers 1
*FvwmIconMan: *Resolution  page
*FvwmIconMan: *background  bisque3
*FvwmIconMan: *foreground  black
*FvwmIconMan: *font        7x13bold
*FvwmIconMan: *format      "%t"
*FvwmIconMan: *action      Mouse   1 N sendcommand Focus, sendcommand 
"Iconify"
*FvwmIconMan: *action      Mouse   2 N sendcommand "Iconify 1"
*FvwmIconMan: *action      Mouse   3 N sendcommand "FvwmIdent"
*FvwmIconMan: *followfocus true
*FvwmIconMan: *sort        none
*FvwmIconMan: *iconbutton          up black maroon
*FvwmIconMan: *plainbutton          up black bisque3
*FvwmIconMan: *selectbutton         down black bisque3
*FvwmIconMan: *focusbutton          up yellow firebrick
*FvwmIconMan: *focusandselectButton down yellow firebrick
*FvwmIconMan: *dontshow icon=Untitled resource=Untitled
*FvwmIconMan: *drawicons true
*FvwmIconMan: *buttongeometry  300x0
*FvwmIconMan: *managergeometry 1x5
*FvwmIconMan: *Format "%c"
-------------------------------------------------------

Thanks.
-- 
Michael White         "To protect people from the effects of folly is to
                       fill the world with fools." -Herbert Spencer, 1891

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].